summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 0da43a6)
raw | patch | inline | side by side (parent: 0da43a6)
author | Christian Couder <chriscool@tuxfamily.org> | |
Sat, 4 Apr 2009 20:02:26 +0000 (22:02 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sun, 5 Apr 2009 07:25:08 +0000 (00:25 -0700) |
In "git-bisect.sh" the "git checkout" command is only used to
change the current branch, but it is used like this:
git checkout "$branch"
which will output the following misleading error message when
it fails:
error: pathspec 'foo' did not match any file(s) known to git.
This patch change the way we use "git checkout" like this:
git checkout "$branch" --
so that we will get the following error message:
fatal: invalid reference: foo
which is better.
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
change the current branch, but it is used like this:
git checkout "$branch"
which will output the following misleading error message when
it fails:
error: pathspec 'foo' did not match any file(s) known to git.
This patch change the way we use "git checkout" like this:
git checkout "$branch" --
so that we will get the following error message:
fatal: invalid reference: foo
which is better.
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index e313bdea70d0a765106aa42a17a66f01d3d0f7d8..df0ae63b4e40f9aa7373269e9a7fb7eeeb66cd18 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
then
# Reset to the rev from where we started.
start_head=$(cat "$GIT_DIR/BISECT_START")
- git checkout "$start_head" || exit
+ git checkout "$start_head" -- || exit
else
# Get rev from where we start.
case "$head" in
_msg="$2"
echo "Bisecting: $_msg"
mark_expected_rev "$_rev"
- git checkout -q "$_rev" || exit
+ git checkout -q "$_rev" -- || exit
git show-branch "$_rev"
}
*)
usage ;;
esac
- git checkout "$branch" && bisect_clean_state
+ git checkout "$branch" -- && bisect_clean_state
}
bisect_clean_state() {